Name:               nodejs-color-namer
Version:            1.0.0
Release:            0%{?dist}
Summary:            Calculate color distance with the Delta-E  difference
Group:              Development/Libraries
License:            UNLICENSE
URL:                https://www.npmjs.com/package/color-namer
Source0:            http://registry.npmjs.org/color-name/-/color-name-%{version}.tgz

BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch
BuildRequires:      nodejs-packaging

%description
Color Namer is an npm package for use in Node.js or the browser that calculates 
color distance using the Delta-E color difference technique. Given a color in 
Hexadecimal RGB, RGBA, HSL, or HSV format, it converts the color to the Lab* 
color space, then calculates the color's Euclidean distance from a set of 
colors with known names.

%prep
%setup -q -n package

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/color-namer
cp -pr package.json \
    %{buildroot}%{nodejs_sitelib}/color-namer
cp -pr index.json \
    %{buildroot}%{nodejs_sitelib}/color-namer

%nodejs_symlink_deps

%files
%license UNLICENSE
%doc README.md
%{nodejs_sitelib}/color-namer/

%changelog
